Retrieve a contact filter
get
/api/bulk/2.0/contacts/filters/{id}
Retrieves a contact filter that matches the criteria specified in the URL parameters.
Request
Supported Media Types
- application/json
- text/csv
Path Parameters
-
id(required): integer
Number of results returned in the request.
Response
Supported Media Types
- application/json
200 Response
OK.
Root Schema : ContactFilterIndividualResponse
Type:
objectTitle:
ContactFilterIndividualResponseIndicates if there are more results.
Show Source
-
count:
integer
Title:
countThe number of items returned. In items: the number of records operated on for that message. -
createdAt:
string(date-time)
Title:
createdAtThe date and time the contact filter was created, expressed using the ISO-8601 standard. This is a read-only property. -
createdBy:
string
Title:
createdByThe login id of the user who created the contact filter field. This is a read-only property. -
executedAt:
string(date-time)
Title:
executedAtThe time and date the contact filter was last used. -
name:
string
Title:
nameThe name of the contact definition. -
statement:
string
Title:
statementThe markup language statement used to reference the field in an import or export mapping. -
updatedAt:
string(date-time)
Title:
updatedAtThe date and time the entity was last updated, expressed using the ISO-8601 standard. This is a read-only property. -
updatedBy:
string
Title:
updatedByThe login id of the user that last updated the entity. This is a read-only property. -
uri:
string
Title:
uriSystem-generated unique resource identifier that defines the definition for future referencing. This is a read-only property.
400 Response
Bad request. See Status Codes for information about other possible HTTP status codes.
401 Response
Unauthorized. See Status Codes for information about other possible HTTP status codes.
403 Response
Forbidden. See Status Codes for information about other possible HTTP status codes.
404 Response
The requested resource was not found. See Status Codes for information about other possible HTTP status codes.
409 Response
There was a conflict. See Status Codes for information about other possible HTTP status codes.
410 Response
The requested resource is no longer available. See Status Codes for information about other possible HTTP status codes.
412 Response
The resource you are attempting to delete has dependencies, and cannot be deleted. See Status Codes for information about other possible HTTP status codes.
413 Response
Storage space exceeded. See Status Codes for information about other possible HTTP status codes.
500 Response
The service has encountered an internal server error. See Status Codes for information about other possible HTTP status codes.
503 Response
There was a timeout processing the request. See Status Codes for information about other possible HTTP status codes.
Examples
Retrieve the contact filter with id #100057:
GET /contacts/filters/100057
Response:
{
"name":"Filter Criteria 1",
"count":541,
"executedAt":"2015-06-22T14:19:38.6970000Z",
"statement":"{{ContactFilter[100057]}}",
"uri":"/contacts/filters/100057",
"createdBy":"API.User",
"createdAt":"2015-06-22T14:19:29.1070000Z",
"updatedBy":"API.User",
"updatedAt":"2015-06-22T14:19:41.6000000Z"
}